@import url('https://fonts.googleapis.com/css2?family=Source+Sans+3:ital,wght@0,200..900;1,200..900&display=swap');
  
/* GO REPROCELL */

:root {
  --t-base: "Source Sans 3", ui-sans-serif, sans-serif;
  --t-thin: 300;
}

/* Legacy */
.bg-coolblue-700.hover:bg-coolblue-800 {
    background: oklch(from var(--coolblue) var(--l700) c h);
    &:hover {
        background: oklch(from var(--coolblue) var(--l800) c h);
    }
}
/**/

:target {
  scroll-margin-top: 126px;
}

button, input, textarea, select, .btn {
  --rad: var(--s);
  border-radius: var(--rad);
}

@media (min-width: 1360px) {
  .sticky {
     top: 108px;
  }
}

.w-25\% {
    width: 25%;
}

.w-50\% {
    width: 50%;
}

.w-75\% {
    width: 75%;
}

main {
  h1 { 
    margin-top: 0; 
    font-weight: var(--t-bold);
  }

  h2 {
    font-weight: var(--t-bold);
    color: oklch(from var(--coolblue) var(--l700);
  }

  h3 {
    font-weight: var(--t-semibold);
    color: oklch(from var(--coolblue) var(--l600);
  }

  h4 {
    font-weight: var(--t-semibold);
    color: oklch(from var(--coolblue) var(--l600);
  }

  h5 {
    font-weight: var(--t-normal);
    color: oklch(from var(--coolblue) var(--l500);
  }

  h6 {
    font-weight: var(--t-normal);
    color: oklch(from var(--coolblue) var(--l500);
  }

  h2+h3,
  h3+h4,
  h4+h5,
  h5+h6 {
    margin-top: 0;
  }

  table ol,
  table ul {
    gap: 0 !important;
  }
  table li {
    margin: 0 !important;
  }
}

/* Forms */

fieldset {
  max-width: 100% !important;
  p {
    margin-top: 1rem;
  }
  label, legend {
    display: inline-block;
    padding-block: 0.5rem;
  }
}
input:not(.hs-button),
select,
textarea {
  width: 100%;
}
.hs-input:not([type=checkbox], [type=radio]) {
  width: 100% !important;
}
[type=checkbox], [type=radio] {
  position: relative;
  top: 0.325rem;
}

/* Extra utils */

.bg-blue-green-grad {
  background: rgba(160, 210, 255, 0.5);
  background: linear-gradient(15deg,rgba(160, 210, 255, 0.4) 0%, rgba(223, 242, 179, 0.2) 100%);
}

.t-gradient-blue {
  background: linear-gradient(to bottom, #7589c2, #424c7b);
  -webkit-background-clip: text;
  background-clip: text;
  color: transparent;
}

.t-shadow {
  text-shadow: 
    0 0 4px rgb(0,0,0),
    0 0 16px rgba(0,0,0,.5)
}

.t-shadow-white, .t-glow {
  text-shadow: 
    0 0 4px rgb(255,255,255), 
    0 0 16px rgba(255,255,255,0.5);
}

.btn-link {
  border: 0;
  padding: 0;
  text-decoration: underline;
  text-decoration-thickness: var(--link-underline);
  text-underline-offset: var(--link-underline-offset);
  color: var(--c-link);
  font-weight: normal;
  &:hover {
    color: var(--c-link-hover);
    text-decoration-thickness: var(--link-underline-hover);
    background: transparent;
  }
}

/* Fancy Reprocell table */

.table-reprocell {
  background-color: var(--cell-blue-pale);
}
.table-reprocell th,
.table-reprocell td {
  border: 3px solid white !important;
  padding: 0.5rem 1rem !important;
}

.table-reprocell thead,
.table-reprocell tbody:not(thead + tbody) tr:first-of-type {
  background-color: var(--cell-blue);
  color: white;
}

/* Table with sticky header */

.table-sticky-header {
  position: relative;
}
.table-sticky-header th {
  position: sticky;
  top: 0;
  z-index: 1;
}
@media (min-width: 1024px) {
  .table-sticky-header th {
    top: 56px
  }
}
@media (min-width: 1280px) {
  .table-sticky-header th {
    top: 64px
  }
}
@media (min-width: 1600px) {
  .table-sticky-header th {
    top: 72px
  }
}

/* Pop floats */

.md\:pop-right,
.md\:pop-left {
  width: min(100%, var(--w-xs));
  margin-inline: auto;
  margin-bottom: 1rem;
}

@media (min-width: 1024px) {
  .md\:pop-right {
    float: right;
    position: relative;
    margin-right: -128px;
    margin-left: 2rem;
  }
  .md\:pop-left {
    float: left;
    position: relative;
    margin-left: -128px;
    margin-right: 2rem;
  }
}

@media (min-width: 1280px) {
  .md\:pop-right {
    margin-right: -256px;
  }
  .md\:pop-left {
    margin-left: -256px;
  }
}

/* Fancy blockquote */

.repro-quote {
  margin-block: 3rem;
  border-top: 0.25rem solid var(--cell-blue-pale);
  border-bottom: 0.25rem solid var(--cell-blue-pale);
}
.repro-quote::before {
  position: relative;
  display: block;
  top: -1.4rem;
  width: 2.5rem;
  height: 2.5rem;
  margin-inline: auto;
  border-radius: 2rem;
  content: '\00201c';
  font-size: var(--h1);
  line-height: -1;
  text-align: center;
  color: var(--cell-blue);
  background: white;
}
.repro-quote::after {
  position: relative;
  display: block;
  top: 1.3rem;
  width: 2.5rem;
  height: 2.5rem;
  margin-inline: auto;
  border-radius: 2rem;
  content: '\00201d';
  font-size: var(--h1);
  line-height: -1;
  text-align: center;
  color: var(--cell-blue);
  background: white;
}

.repro-quote p:last-of-type {
  margin-bottom: 0;
}

/* Timeline */

.timeline {
  position: relative;
}

/* The vertical line */
.timeline::after {
  content: '';
  position: absolute;
  width: 4px;
  background-color: var(--cell-blue-pale);
  top: 0;
  bottom: 0;
  left: 50%;
  margin-left: -2px;
}

/* Timeline bubble (TB) wrap */
.tb-wrap {
  padding-block: 10px;
  position: relative;
  background-color: inherit;
  width: 50%;
}

/* Timeline circles */
.tb-wrap::after {
  content: '';
  position: absolute;
  top: 25px;
  right: -10px;
  width: 20px;
  height: 20px;
  background-color: var(--cell-blue);
  border-radius: 50%;
  z-index: 1;
}
.tb-wrap-right::after {
  left: -10px;
}

.tb-wrap-left {
  left: 0;
  padding-right: 25px;
}

.tb-wrap-right {
  left: 50%;
  padding-left: 25px;
}

/* TB arrow triangles */
.tb-wrap-left::before {
  content: ' ';
  height: 0;
  position: absolute;
  top: 21px;
  width: 0;
  z-index: 1;
  right: 12px;
  border-style: solid;
  border-width: 14px 0 14px 14px;
  border-color: transparent transparent transparent var(--cell-blue);
}
.tb-wrap-right::before {
  content: ' ';
  height: 0;
  position: absolute;
  top: 21px;
  width: 0;
  z-index: 1;
  left: 12px;
  border-style: solid;
  border-width: 14px 14px 14px 0;
  border-color: transparent var(--cell-blue-pale) transparent transparent;
}

.tb-content {
  padding: 1rem;
  background-color: var(--cell-blue-pale);
  position: relative;
  border: 1px solid var(--cell-blue);
  border-radius: 0.5rem;
}

@media screen and (max-width: 767px) {
  .timeline::after {
    left: 10px;
  }
  /* tb = timeline speech-bubble */
  .tb-wrap {
    width: 100%;
    padding-left: 35px;
    padding-right: 0;
  }
  .tb-wrap::before {
    left: 22px;
    border-style: solid;
    border-width: 14px 14px 14px 0;
    border-color: transparent var(--cell-blue) transparent transparent;
  }
  .tb-wrap-left::after, .tb-wrap-right::after {
    left: -2px;
  }
  .tb-wrap-right {
    left: 0%;
  }
}

/* FAQ */

ol.faq {
  padding-left: 0;
  list-style: none;
  counter-reset: question calc(var(--start) - 1);
}

ol.faq li {
  counter-increment: question;
  margin-bottom: 1.5rem
}

ol.faq li:before {
  content: "Q" counter(question) ". ";
  font-weight: bold;
}

/* Image  placeholder */

.img-placeholder {
  display: block;
  width: 100%;
  height: auto;
  background-image: url("data:image/svg+xml;utf8,\
<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 300 200' preserveAspectRatio='none'>\
<style>*{vector-effect:non-scaling-stroke;shape-rendering:crispEdges}</style>\
<rect x='0' y='0' width='300' height='200' fill='%23f0f0f0'/>\
<rect x='0.5' y='0.5' width='299' height='199' fill='none' stroke='%23bfbfbf' stroke-width='1'/>\
<line x1='0' y1='0' x2='300' y2='200' stroke='%23bfbfbf' stroke-width='1'/>\
<line x1='300' y1='0' x2='0' y2='200' stroke='%23bfbfbf' stroke-width='1'/>\
</svg>");
  background-size: 100% 100%;
  background-repeat: no-repeat;
  background-position: 0 0;
  background-color: #f0f0f0;
}

/* Site Footer */

#site-footer {
  > div:first-child {
    color: oklch(from var(--coolgray) var(--l400) c h);
    background: oklch(from var(--coolgray) var(--l900) c h);
  }
  > div:last-child {
    color: oklch(from var(--coolgray) var(--l600) c h);
  }
}

#site-footer ul {
  list-style-type: none;
  padding-left: 0;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

#site-footer a {
  color: oklch(from var(--coolgray) var(--l300) c h);
}
#site-footer a:hover {
  color: white;
}

#site-footer hr {
  border-color: oklch(from var(--coolgray) var(--l700) c h);
}

a#footer-logo {
  color: white;
}

.site-sub-footer img {
    height: 36px;
}

/*
 * HS overrides
 */


.error-page:before {
  color: oklch(from var(--coolblue) var(--l200) c h) !important;
}

.modal-body .hsfc-Step__Content {
  padding: 0 !important;
}

.hs-button.primary {
  border-color: transparent;
  color: white;
  background-color: oklch(from var(--coolblue) var(--l700);
}

.hs-button.primary:hover {
  border-color: transparent;
  color: white;
  background-color: oklch(from var(--coolblue) var(--l800);
}